Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api
[Java] Class InvalidActionClosureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.gradle.api.GradleException
                      org.gradle.api.InvalidActionClosureException

    public class InvalidActionClosureException
    extends GradleException

Thrown when a Closure is given as an Action implementation, but has the wrong signature.

Constructor Summary
`InvalidActionClosureException(Closure closure, Object argument)`

Method Summary
`Object` | `getArgument()` The argument the action was executed with.
`Closure` | `getClosure()` The closure being used as an action.

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Constructor Detail

### InvalidActionClosureException

    public InvalidActionClosureException(Closure closure, Object argument)

Method Detail

### getArgument

    public Object getArgument()

  The argument the action was executed with.
  Returns:
    The argument the action was executed with.

### getClosure

    public Closure getClosure()

  The closure being used as an action.
  Returns:
    The closure being used as an action.

Gradle API 1.10